import { html, ref, when } from '@microsoft/fast-element';
import { endSlotTemplate, startSlotTemplate } from '@microsoft/fast-foundation';
export const foundationStepperTabTemplate = (context, definition) => html `
  <template slot="tab" role="stepper-tab" aria-disabled="${(x) => x.disabled}">
    ${startSlotTemplate(context, definition)}
    <foundation-tree-item ${ref('treeItem')} class="tree-item" part="tree-item">
      ${when((x) => x.completed, html `
          <foundation-icon
            name="check-circle"
            variant="regular"
            size="lg"
            class="completed-icon"
          ></foundation-icon>
        `)}
      ${when((x) => x.error, html `
          <foundation-icon
            name="times-circle"
            variant="regular"
            size="lg"
            class="error-icon"
          ></foundation-icon>
        `)}
      <slot></slot>
    </foundation-tree-item>
    ${endSlotTemplate(context, definition)}
  </template>
`;
